org.apache.olingo.odata2.client.api.edm

## Interface EdmDocumentation

- All Known Implementing Classes:
    EdmDocumentationImpl

      public interface EdmDocumentation

  Objects of this class represent documentation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmDocumentation` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `EdmDocumentation`
    `EdmDocumentation` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EdmDocumentation`
    `EdmDocumentation` | `setLongDescription(String longDescription)` Sets the long description for this `EdmDocumentation`
    `EdmDocumentation` | `setSummary(String summary)` Sets the summary for this `EdmDocumentation`

- - ### Method Detail

    - #### setSummary

          EdmDocumentation setSummary(String summary)

      Sets the summary for this `EdmDocumentation`
      Parameters:
        `summary` -
      Returns:
        `EdmDocumentation` for method chaining

    - #### setLongDescription

          EdmDocumentation setLongDescription(String longDescription)

      Sets the long description for this `EdmDocumentation`
      Parameters:
        `longDescription` -
      Returns:
        `EdmDocumentation` for method chaining

    - #### setAnnotationAttributes

          EdmDocumentation setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `EdmDocumentation`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmDocumentation` for method chaining

    - #### setAnnotationElements

          EdmDocumentation setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EdmDocumentation`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmDocumentation` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.